Loading...
Searching...
No Matches
juce::WavAudioFormat Class Reference

## Detailed Description

Reads and Writes WAV format audio files.

See also
  AudioFormat

The documentation for this class was generated from the following file:

- juce_audio_formats/codecs/juce_WavAudioFormat.h

Inheritance diagram for juce::WavAudioFormat:

## Public Member Functions

| WavAudioFormat ()
| Creates a format object.
| ~WavAudioFormat () override
| Destructor.
Array< int > | getPossibleSampleRates () override
| Returns a set of sample rates that the format can read and write.
Array< int > | getPossibleBitDepths () override
| Returns a set of bit depths that the format can read and write.
bool | canDoStereo () override
| Returns true if the format can do 2-channel audio.
bool | canDoMono () override
| Returns true if the format can do 1-channel audio.
bool | isChannelLayoutSupported (const AudioChannelSet &channelSet) override
| Returns true if the channel layout is supported by this format.
AudioFormatReader * | createReaderFor (InputStream *sourceStream, bool deleteStreamIfOpeningFails) override
| Tries to create an object that can read from a stream containing audio data in this format.
MemoryMappedAudioFormatReader * | createMemoryMappedReader (const File &) override
| Attempts to create a MemoryMappedAudioFormatReader, if possible for this format.
MemoryMappedAudioFormatReader * | createMemoryMappedReader (FileInputStream *) override
std::unique_ptr< AudioFormatWriter > | createWriterFor (std::unique_ptr< OutputStream > &streamToWriteTo, const AudioFormatWriterOptions &options) override
| Tries to create an object that can write to a stream with this audio format.
bool | replaceMetadataInFile (const File &wavFile, const StringPairArray &newMetadata)
| Utility function to replace the metadata in a wav file with a new set of values.
AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, unsigned int numberOfChannels, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex)
| Tries to create an object that can write to a stream with this audio format.
AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, const AudioChannelSet &channelLayout, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex)
| Tries to create an object that can write to a stream with this audio format.
Public Member Functions inherited from juce::AudioFormat
virtual | ~AudioFormat ()
| Destructor.
const String & | getFormatName () const
| Returns the name of this format.
virtual StringArray | getFileExtensions () const
| Returns all the file extensions that might apply to a file of this format.
virtual bool | canHandleFile (const File &fileToTest)
| Returns true if this the given file can be read by this format.
virtual bool | isCompressed ()
| Returns true if the format uses compressed data.
virtual StringArray | getQualityOptions ()
| Returns a list of different qualities that can be used when writing.
AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, unsigned int numberOfChannels, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex)
| Tries to create an object that can write to a stream with this audio format.
AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, const AudioChannelSet &channelLayout, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex)
| Tries to create an object that can write to a stream with this audio format.

## Static Public Member Functions

static StringPairArray | createBWAVMetadata (const String &description, const String &originator, const String &originatorRef, Time dateAndTime, int64 timeReferenceSamples, const String &codingHistory)
| Utility function to fill out the appropriate metadata for a BWAV file.

## Static Public Attributes

static const char *const | bwavDescription
| Metadata property name used in BWAV chunks.
static const char *const | bwavOriginator
| Metadata property name used in BWAV chunks.
static const char *const | bwavOriginatorRef
| Metadata property name used in BWAV chunks.
static const char *const | bwavOriginationDate
| Metadata property name used in BWAV chunks.
static const char *const | bwavOriginationTime
| Metadata property name used in BWAV chunks.
static const char *const | bwavCodingHistory
| Metadata property name used in BWAV chunks.
static const char *const | bwavTimeReference
| Metadata property name used in BWAV chunks.
static const char *const | acidOneShot
| Metadata property name used in acid chunks.
static const char *const | acidRootSet
| Metadata property name used in acid chunks.
static const char *const | acidStretch
| Metadata property name used in acid chunks.
static const char *const | acidDiskBased
| Metadata property name used in acid chunks.
static const char *const | acidizerFlag
| Metadata property name used in acid chunks.
static const char *const | acidRootNote
| Metadata property name used in acid chunks.
static const char *const | acidBeats
| Metadata property name used in acid chunks.
static const char *const | acidDenominator
| Metadata property name used in acid chunks.
static const char *const | acidNumerator
| Metadata property name used in acid chunks.
static const char *const | acidTempo
| Metadata property name used in acid chunks.
static const char *const | riffInfoArchivalLocation
| Metadata property name used in INFO chunks.
static const char *const | riffInfoArtist
| Metadata property name used in INFO chunks.
static const char *const | riffInfoBaseURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoCinematographer
| Metadata property name used in INFO chunks.
static const char *const | riffInfoComment
| Metadata property name used in INFO chunks.
static const char *const | riffInfoComment2
| Metadata property name used in INFO chunks.
static const char *const | riffInfoComments
| Metadata property name used in INFO chunks.
static const char *const | riffInfoCommissioned
| Metadata property name used in INFO chunks.
static const char *const | riffInfoCopyright
| Metadata property name used in INFO chunks.
static const char *const | riffInfoCostumeDesigner
| Metadata property name used in INFO chunks.
static const char *const | riffInfoCountry
| Metadata property name used in INFO chunks.
static const char *const | riffInfoCropped
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDateCreated
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDateTimeOriginal
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDefaultAudioStream
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDimension
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDirectory
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDistributedBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoDotsPerInch
| Metadata property name used in INFO chunks.
static const char *const | riffInfoEditedBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoEighthLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoEncodedBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoEndTimecode
| Metadata property name used in INFO chunks.
static const char *const | riffInfoEngineer
| Metadata property name used in INFO chunks.
static const char *const | riffInfoFifthLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoFirstLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoFourthLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoGenre
| Metadata property name used in INFO chunks.
static const char *const | riffInfoKeywords
| Metadata property name used in INFO chunks.
static const char *const | riffInfoLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoLength
| Metadata property name used in INFO chunks.
static const char *const | riffInfoLightness
| Metadata property name used in INFO chunks.
static const char *const | riffInfoLocation
| Metadata property name used in INFO chunks.
static const char *const | riffInfoLogoIconURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoLogoURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoMedium
| Metadata property name used in INFO chunks.
static const char *const | riffInfoMoreInfoBannerImage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoMoreInfoBannerURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoMoreInfoText
| Metadata property name used in INFO chunks.
static const char *const | riffInfoMoreInfoURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoMusicBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoNinthLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoNumberOfParts
| Metadata property name used in INFO chunks.
static const char *const | riffInfoOrganisation
| Metadata property name used in INFO chunks.
static const char *const | riffInfoPart
| Metadata property name used in INFO chunks.
static const char *const | riffInfoProducedBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoProductName
| Metadata property name used in INFO chunks.
static const char *const | riffInfoProductionDesigner
| Metadata property name used in INFO chunks.
static const char *const | riffInfoProductionStudio
| Metadata property name used in INFO chunks.
static const char *const | riffInfoRate
| Metadata property name used in INFO chunks.
static const char *const | riffInfoRated
| Metadata property name used in INFO chunks.
static const char *const | riffInfoRating
| Metadata property name used in INFO chunks.
static const char *const | riffInfoRippedBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSecondaryGenre
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSecondLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSeventhLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSharpness
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSixthLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSoftware
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSoundSchemeTitle
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSource
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSourceFrom
| Metadata property name used in INFO chunks.
static const char *const | riffInfoStarring_ISTR
| Metadata property name used in INFO chunks.
static const char *const | riffInfoStarring_STAR
| Metadata property name used in INFO chunks.
static const char *const | riffInfoStartTimecode
| Metadata property name used in INFO chunks.
static const char *const | riffInfoStatistics
| Metadata property name used in INFO chunks.
static const char *const | riffInfoSubject
| Metadata property name used in INFO chunks.
static const char *const | riffInfoTapeName
| Metadata property name used in INFO chunks.
static const char *const | riffInfoTechnician
| Metadata property name used in INFO chunks.
static const char *const | riffInfoThirdLanguage
| Metadata property name used in INFO chunks.
static const char *const | riffInfoTimeCode
| Metadata property name used in INFO chunks.
static const char *const | riffInfoTitle
| Metadata property name used in INFO chunks.
static const char *const | riffInfoTrackNo
| Metadata property name used in INFO chunks.
static const char *const | riffInfoTrackNumber
| Metadata property name used in INFO chunks.
static const char *const | riffInfoURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoVegasVersionMajor
| Metadata property name used in INFO chunks.
static const char *const | riffInfoVegasVersionMinor
| Metadata property name used in INFO chunks.
static const char *const | riffInfoVersion
| Metadata property name used in INFO chunks.
static const char *const | riffInfoWatermarkURL
| Metadata property name used in INFO chunks.
static const char *const | riffInfoWrittenBy
| Metadata property name used in INFO chunks.
static const char *const | riffInfoYear
| Metadata property name used in INFO chunks.
static const char *const | aswgContentType
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgProject
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgOriginator
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgOriginatorStudio
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgNotes
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgSession
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgState
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgEditor
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMixer
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgFxChainName
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgChannelConfig
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgAmbisonicFormat
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgAmbisonicChnOrder
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgAmbisonicNorm
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMicType
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMicConfig
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMicDistance
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgRecordingLoc
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsDesigned
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgRecEngineer
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgRecStudio
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgImpulseLocation
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCategory
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgSubCategory
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCatId
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgUserCategory
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgUserData
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgVendorCategory
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgFxName
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgLibrary
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCreatorId
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgSourceId
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgRmsPower
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgLoudness
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgLoudnessRange
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMaxPeak
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgSpecDensity
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgZeroCrossRate
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgPapr
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgText
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgEfforts
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgEffortType
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgProjection
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgLanguage
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgTimingRestriction
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCharacterName
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCharacterGender
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCharacterAge
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgCharacterRole
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgActorName
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgActorGender
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgDirector
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgDirection
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgFxUsed
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgUsageRights
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsUnion
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgAccent
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgEmotion
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgComposor
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgArtist
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgSongTitle
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgGenre
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgSubGenre
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgProducer
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMusicSup
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgInstrument
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMusicPublisher
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgRightsOwner
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsSource
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsLoop
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIntensity
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsFinal
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgOrderRef
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsOst
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsCinematic
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsLicensed
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsDiegetic
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgMusicVersion
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgIsrcId
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgTempo
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgTimeSig
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgInKey
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgBillingCode
| Metadata property name used in ASWG/iXML chunks.
static const char *const | aswgVersion
| Metadata property name used in ASWG/iXML chunks.
static const char *const | ISRC
| Metadata property name used when reading an ISRC code from an AXML chunk.
static const char *const | internationalStandardRecordingCode
| Metadata property name used when reading and writing ISRC codes to/from AXML chunks.
static const char *const | tracktionLoopInfo
| Metadata property name used when reading a WAV file with a Tracktion chunk.

## Additional Inherited Members

Protected Member Functions inherited from juce::AudioFormat
| AudioFormat (String formatName, StringArray fileExtensions)
| Creates an AudioFormat object.
| AudioFormat (StringRef formatName, StringRef fileExtensions)
| Creates an AudioFormat object.

## Constructors and Destructors

## WavAudioFormat()

juce::WavAudioFormat::WavAudioFormat | ( |  | ) |

Creates a format object.

Referenced by replaceMetadataInFile().

## ~WavAudioFormat()

juce::WavAudioFormat::~WavAudioFormat | ( |  | ) |

override

Destructor.

## Member Functions

## createBWAVMetadata()

StringPairArray juce::WavAudioFormat::createBWAVMetadata | ( | const String & | description,
|  | const String & | originator,
|  | const String & | originatorRef,
|  | Time | dateAndTime,
|  | int64 | timeReferenceSamples,
|  | const String & | codingHistory )

static

Utility function to fill out the appropriate metadata for a BWAV file.

This just makes it easier than using the property names directly, and it fills out the time and date in the right format.

## getPossibleSampleRates()

Array< int > juce::WavAudioFormat::getPossibleSampleRates | ( |  | ) |

override virtual

Returns a set of sample rates that the format can read and write.

Implements juce::AudioFormat.

## getPossibleBitDepths()

Array< int > juce::WavAudioFormat::getPossibleBitDepths | ( |  | ) |

override virtual

Returns a set of bit depths that the format can read and write.

Implements juce::AudioFormat.

## canDoStereo()

bool juce::WavAudioFormat::canDoStereo | ( |  | ) |

override virtual

Returns true if the format can do 2-channel audio.

Implements juce::AudioFormat.

## canDoMono()

bool juce::WavAudioFormat::canDoMono | ( |  | ) |

override virtual

Returns true if the format can do 1-channel audio.

Implements juce::AudioFormat.

## isChannelLayoutSupported()

bool juce::WavAudioFormat::isChannelLayoutSupported | ( | const AudioChannelSet & | channelSet | ) |

override virtual

Returns true if the channel layout is supported by this format.

Reimplemented from juce::AudioFormat.

## createReaderFor()

AudioFormatReader * juce::WavAudioFormat::createReaderFor | ( | InputStream * | sourceStream,
|  | bool | deleteStreamIfOpeningFails )

override virtual

Tries to create an object that can read from a stream containing audio data in this format.

The reader object that is returned can be used to read from the stream, and should then be deleted by the caller.

Parameters

  sourceStream | the stream to read from - the AudioFormatReader object that is returned will delete this stream when it no longer needs it.
  deleteStreamIfOpeningFails | if no reader can be created, this determines whether this method should delete the stream object that was passed-in. (If a valid reader is returned, it will always be in charge of deleting the stream, so this parameter is ignored)

See also
  AudioFormatReader

Implements juce::AudioFormat.

## createMemoryMappedReader() [1/2]

MemoryMappedAudioFormatReader * juce::WavAudioFormat::createMemoryMappedReader | ( | const File & | file | ) |

override virtual

Attempts to create a MemoryMappedAudioFormatReader, if possible for this format.

If the format does not support this, the method will return nullptr;

Reimplemented from juce::AudioFormat.

## createMemoryMappedReader() [2/2]

MemoryMappedAudioFormatReader * juce::WavAudioFormat::createMemoryMappedReader | ( | FileInputStream * |  | ) |

override virtual

Reimplemented from juce::AudioFormat.

## createWriterFor() [1/3]

std::unique_ptr< AudioFormatWriter > juce::WavAudioFormat::createWriterFor | ( | std::unique_ptr< OutputStream > & | streamToWriteTo,
|  | const AudioFormatWriterOptions & | options )

override virtual

Tries to create an object that can write to a stream with this audio format.

If the writer can't be created for some reason (e.g. the parameters passed in here aren't suitable), this will return nullptr.

Parameters

  streamToWriteTo | a reference to a unique_ptr that owns the output stream. If creating the writer succeeds, then ownership of the stream will be transferred to the writer, and this argument will be set to nullptr. If creating the writer fails, then streamToWriteTo will remain unchanged, allowing it to be reused to create a writer of a different format.
  options | options that specify details of the output file. If the audio format does not support these settings, then this function may return nullptr.

See also
  AudioFormatWriterOptions

Implements juce::AudioFormat.

References juce::AudioFormat::createWriterFor().

## replaceMetadataInFile()

bool juce::WavAudioFormat::replaceMetadataInFile | ( | const File & | wavFile,
|  | const StringPairArray & | newMetadata )

Utility function to replace the metadata in a wav file with a new set of values.

If possible, this cheats by overwriting just the metadata region of the file, rather than by copying the whole file again.

References WavAudioFormat().

## createWriterFor() [2/3]

AudioFormatWriter * juce::AudioFormat::createWriterFor | ( | OutputStream * | streamToWriteTo,
|  | double | sampleRateToUse,
|  | unsigned int | numberOfChannels,
|  | int | bitsPerSample,
|  | const StringPairArray & | metadataValues,
|  | int | qualityOptionIndex )

Tries to create an object that can write to a stream with this audio format.

The writer object that is returned can be used to write to the stream, and should then be deleted by the caller.

If the stream can't be created for some reason (e.g. the parameters passed in here aren't suitable), this will return nullptr.

Parameters

  streamToWriteTo | the stream that the data will go to - this will be deleted by the AudioFormatWriter object when it's no longer needed. If no AudioFormatWriter can be created by this method, the stream will NOT be deleted, so that the caller can re-use it to try to open a different format, etc
  sampleRateToUse | the sample rate for the file, which must be one of the ones returned by getPossibleSampleRates()
  numberOfChannels | the number of channels
  bitsPerSample | the bits per sample to use - this must be one of the values returned by getPossibleBitDepths()
  metadataValues | a set of metadata values that the writer should try to write to the stream. Exactly what these are depends on the format, and the subclass doesn't actually have to do anything with them if it doesn't want to. Have a look at the specific format implementation classes to see possible values that can be used
  qualityOptionIndex | the index of one of compression qualities returned by the getQualityOptions() method. If there aren't any quality options for this format, just pass 0 in this parameter, as it'll be ignored

See also
  AudioFormatWriter

## createWriterFor() [3/3]

AudioFormatWriter * juce::AudioFormat::createWriterFor | ( | OutputStream * | streamToWriteTo,
|  | double | sampleRateToUse,
|  | const AudioChannelSet & | channelLayout,
|  | int | bitsPerSample,
|  | const StringPairArray & | metadataValues,
|  | int | qualityOptionIndex )

Tries to create an object that can write to a stream with this audio format.

The writer object that is returned can be used to write to the stream, and should then be deleted by the caller.

If the stream can't be created for some reason (e.g. the parameters passed in here aren't suitable), this will return nullptr.

Parameters

  streamToWriteTo | the stream that the data will go to - this will be deleted by the AudioFormatWriter object when it's no longer needed. If no AudioFormatWriter can be created by this method, the stream will NOT be deleted, so that the caller can re-use it to try to open a different format, etc
  sampleRateToUse | the sample rate for the file, which must be one of the ones returned by getPossibleSampleRates()
  channelLayout | the channel layout for the file. Use isChannelLayoutSupported to check if the writer supports this layout.
  bitsPerSample | the bits per sample to use - this must be one of the values returned by getPossibleBitDepths()
  metadataValues | a set of metadata values that the writer should try to write to the stream. Exactly what these are depends on the format, and the subclass doesn't actually have to do anything with them if it doesn't want to. Have a look at the specific format implementation classes to see possible values that can be used
  qualityOptionIndex | the index of one of compression qualities returned by the getQualityOptions() method. If there aren't any quality options for this format, just pass 0 in this parameter, as it'll be ignored

See also
  AudioFormatWriter

## Member Data Documentation

## bwavDescription

const char* const juce::WavAudioFormat::bwavDescription

static

Metadata property name used in BWAV chunks.

## bwavOriginator

const char* const juce::WavAudioFormat::bwavOriginator

static

Metadata property name used in BWAV chunks.

## bwavOriginatorRef

const char* const juce::WavAudioFormat::bwavOriginatorRef

static

Metadata property name used in BWAV chunks.

## bwavOriginationDate

const char* const juce::WavAudioFormat::bwavOriginationDate

static

Metadata property name used in BWAV chunks.

The format should be: yyyy-mm-dd

## bwavOriginationTime

const char* const juce::WavAudioFormat::bwavOriginationTime

static

Metadata property name used in BWAV chunks.

The format should be: format is: hh-mm-ss

## bwavCodingHistory

const char* const juce::WavAudioFormat::bwavCodingHistory

static

Metadata property name used in BWAV chunks.

## bwavTimeReference

const char* const juce::WavAudioFormat::bwavTimeReference

static

Metadata property name used in BWAV chunks.

This is the number of samples from the start of an edit that the file is supposed to begin at. Seems like an obvious mistake to only allow a file to occur in an edit once, but that's the way it is.

See also
  AudioFormatReader::metadataValues, createWriterFor

## acidOneShot

const char* const juce::WavAudioFormat::acidOneShot

static

Metadata property name used in acid chunks.

## acidRootSet

const char* const juce::WavAudioFormat::acidRootSet

static

Metadata property name used in acid chunks.

## acidStretch

const char* const juce::WavAudioFormat::acidStretch

static

Metadata property name used in acid chunks.

## acidDiskBased

const char* const juce::WavAudioFormat::acidDiskBased

static

Metadata property name used in acid chunks.

## acidizerFlag

const char* const juce::WavAudioFormat::acidizerFlag

static

Metadata property name used in acid chunks.

## acidRootNote

const char* const juce::WavAudioFormat::acidRootNote

static

Metadata property name used in acid chunks.

## acidBeats

const char* const juce::WavAudioFormat::acidBeats

static

Metadata property name used in acid chunks.

## acidDenominator

const char* const juce::WavAudioFormat::acidDenominator

static

Metadata property name used in acid chunks.

## acidNumerator

const char* const juce::WavAudioFormat::acidNumerator

static

Metadata property name used in acid chunks.

## acidTempo

const char* const juce::WavAudioFormat::acidTempo

static

Metadata property name used in acid chunks.

## riffInfoArchivalLocation

const char* const juce::WavAudioFormat::riffInfoArchivalLocation

static

Metadata property name used in INFO chunks.

## riffInfoArtist

const char* const juce::WavAudioFormat::riffInfoArtist

static

Metadata property name used in INFO chunks.

## riffInfoBaseURL

const char* const juce::WavAudioFormat::riffInfoBaseURL

static

Metadata property name used in INFO chunks.

## riffInfoCinematographer

const char* const juce::WavAudioFormat::riffInfoCinematographer

static

Metadata property name used in INFO chunks.

## riffInfoComment

const char* const juce::WavAudioFormat::riffInfoComment

static

Metadata property name used in INFO chunks.

## riffInfoComment2

const char* const juce::WavAudioFormat::riffInfoComment2

static

Metadata property name used in INFO chunks.

## riffInfoComments

const char* const juce::WavAudioFormat::riffInfoComments

static

Metadata property name used in INFO chunks.

## riffInfoCommissioned

const char* const juce::WavAudioFormat::riffInfoCommissioned

static

Metadata property name used in INFO chunks.

## riffInfoCopyright

const char* const juce::WavAudioFormat::riffInfoCopyright

static

Metadata property name used in INFO chunks.

## riffInfoCostumeDesigner

const char* const juce::WavAudioFormat::riffInfoCostumeDesigner

static

Metadata property name used in INFO chunks.

## riffInfoCountry

const char* const juce::WavAudioFormat::riffInfoCountry

static

Metadata property name used in INFO chunks.

## riffInfoCropped

const char* const juce::WavAudioFormat::riffInfoCropped

static

Metadata property name used in INFO chunks.

## riffInfoDateCreated

const char* const juce::WavAudioFormat::riffInfoDateCreated

static

Metadata property name used in INFO chunks.

## riffInfoDateTimeOriginal

const char* const juce::WavAudioFormat::riffInfoDateTimeOriginal

static

Metadata property name used in INFO chunks.

## riffInfoDefaultAudioStream

const char* const juce::WavAudioFormat::riffInfoDefaultAudioStream

static

Metadata property name used in INFO chunks.

## riffInfoDimension

const char* const juce::WavAudioFormat::riffInfoDimension

static

Metadata property name used in INFO chunks.

## riffInfoDirectory

const char* const juce::WavAudioFormat::riffInfoDirectory

static

Metadata property name used in INFO chunks.

## riffInfoDistributedBy

const char* const juce::WavAudioFormat::riffInfoDistributedBy

static

Metadata property name used in INFO chunks.

## riffInfoDotsPerInch

const char* const juce::WavAudioFormat::riffInfoDotsPerInch

static

Metadata property name used in INFO chunks.

## riffInfoEditedBy

const char* const juce::WavAudioFormat::riffInfoEditedBy

static

Metadata property name used in INFO chunks.

## riffInfoEighthLanguage

const char* const juce::WavAudioFormat::riffInfoEighthLanguage

static

Metadata property name used in INFO chunks.

## riffInfoEncodedBy

const char* const juce::WavAudioFormat::riffInfoEncodedBy

static

Metadata property name used in INFO chunks.

## riffInfoEndTimecode

const char* const juce::WavAudioFormat::riffInfoEndTimecode

static

Metadata property name used in INFO chunks.

## riffInfoEngineer

const char* const juce::WavAudioFormat::riffInfoEngineer

static

Metadata property name used in INFO chunks.

## riffInfoFifthLanguage

const char* const juce::WavAudioFormat::riffInfoFifthLanguage

static

Metadata property name used in INFO chunks.

## riffInfoFirstLanguage

const char* const juce::WavAudioFormat::riffInfoFirstLanguage

static

Metadata property name used in INFO chunks.

## riffInfoFourthLanguage

const char* const juce::WavAudioFormat::riffInfoFourthLanguage

static

Metadata property name used in INFO chunks.

## riffInfoGenre

const char* const juce::WavAudioFormat::riffInfoGenre

static

Metadata property name used in INFO chunks.

## riffInfoKeywords

const char* const juce::WavAudioFormat::riffInfoKeywords

static

Metadata property name used in INFO chunks.

## riffInfoLanguage

const char* const juce::WavAudioFormat::riffInfoLanguage

static

Metadata property name used in INFO chunks.

## riffInfoLength

const char* const juce::WavAudioFormat::riffInfoLength

static

Metadata property name used in INFO chunks.

## riffInfoLightness

const char* const juce::WavAudioFormat::riffInfoLightness

static

Metadata property name used in INFO chunks.

## riffInfoLocation

const char* const juce::WavAudioFormat::riffInfoLocation

static

Metadata property name used in INFO chunks.

## riffInfoLogoIconURL

const char* const juce::WavAudioFormat::riffInfoLogoIconURL

static

Metadata property name used in INFO chunks.

## riffInfoLogoURL

const char* const juce::WavAudioFormat::riffInfoLogoURL

static

Metadata property name used in INFO chunks.

## riffInfoMedium

const char* const juce::WavAudioFormat::riffInfoMedium

static

Metadata property name used in INFO chunks.

## riffInfoMoreInfoBannerImage

const char* const juce::WavAudioFormat::riffInfoMoreInfoBannerImage

static

Metadata property name used in INFO chunks.

## riffInfoMoreInfoBannerURL

const char* const juce::WavAudioFormat::riffInfoMoreInfoBannerURL

static

Metadata property name used in INFO chunks.

## riffInfoMoreInfoText

const char* const juce::WavAudioFormat::riffInfoMoreInfoText

static

Metadata property name used in INFO chunks.

## riffInfoMoreInfoURL

const char* const juce::WavAudioFormat::riffInfoMoreInfoURL

static

Metadata property name used in INFO chunks.

## riffInfoMusicBy

const char* const juce::WavAudioFormat::riffInfoMusicBy

static

Metadata property name used in INFO chunks.

## riffInfoNinthLanguage

const char* const juce::WavAudioFormat::riffInfoNinthLanguage

static

Metadata property name used in INFO chunks.

## riffInfoNumberOfParts

const char* const juce::WavAudioFormat::riffInfoNumberOfParts

static

Metadata property name used in INFO chunks.

## riffInfoOrganisation

const char* const juce::WavAudioFormat::riffInfoOrganisation

static

Metadata property name used in INFO chunks.

## riffInfoPart

const char* const juce::WavAudioFormat::riffInfoPart

static

Metadata property name used in INFO chunks.

## riffInfoProducedBy

const char* const juce::WavAudioFormat::riffInfoProducedBy

static

Metadata property name used in INFO chunks.

## riffInfoProductName

const char* const juce::WavAudioFormat::riffInfoProductName

static

Metadata property name used in INFO chunks.

## riffInfoProductionDesigner

const char* const juce::WavAudioFormat::riffInfoProductionDesigner

static

Metadata property name used in INFO chunks.

## riffInfoProductionStudio

const char* const juce::WavAudioFormat::riffInfoProductionStudio

static

Metadata property name used in INFO chunks.

## riffInfoRate

const char* const juce::WavAudioFormat::riffInfoRate

static

Metadata property name used in INFO chunks.

## riffInfoRated

const char* const juce::WavAudioFormat::riffInfoRated

static

Metadata property name used in INFO chunks.

## riffInfoRating

const char* const juce::WavAudioFormat::riffInfoRating

static

Metadata property name used in INFO chunks.

## riffInfoRippedBy

const char* const juce::WavAudioFormat::riffInfoRippedBy

static

Metadata property name used in INFO chunks.

## riffInfoSecondaryGenre

const char* const juce::WavAudioFormat::riffInfoSecondaryGenre

static

Metadata property name used in INFO chunks.

## riffInfoSecondLanguage

const char* const juce::WavAudioFormat::riffInfoSecondLanguage

static

Metadata property name used in INFO chunks.

## riffInfoSeventhLanguage

const char* const juce::WavAudioFormat::riffInfoSeventhLanguage

static

Metadata property name used in INFO chunks.

## riffInfoSharpness

const char* const juce::WavAudioFormat::riffInfoSharpness

static

Metadata property name used in INFO chunks.

## riffInfoSixthLanguage

const char* const juce::WavAudioFormat::riffInfoSixthLanguage

static

Metadata property name used in INFO chunks.

## riffInfoSoftware

const char* const juce::WavAudioFormat::riffInfoSoftware

static

Metadata property name used in INFO chunks.

## riffInfoSoundSchemeTitle

const char* const juce::WavAudioFormat::riffInfoSoundSchemeTitle

static

Metadata property name used in INFO chunks.

## riffInfoSource

const char* const juce::WavAudioFormat::riffInfoSource

static

Metadata property name used in INFO chunks.

## riffInfoSourceFrom

const char* const juce::WavAudioFormat::riffInfoSourceFrom

static

Metadata property name used in INFO chunks.

## riffInfoStarring_ISTR

const char* const juce::WavAudioFormat::riffInfoStarring_ISTR

static

Metadata property name used in INFO chunks.

## riffInfoStarring_STAR

const char* const juce::WavAudioFormat::riffInfoStarring_STAR

static

Metadata property name used in INFO chunks.

## riffInfoStartTimecode

const char* const juce::WavAudioFormat::riffInfoStartTimecode

static

Metadata property name used in INFO chunks.

## riffInfoStatistics

const char* const juce::WavAudioFormat::riffInfoStatistics

static

Metadata property name used in INFO chunks.

## riffInfoSubject

const char* const juce::WavAudioFormat::riffInfoSubject

static

Metadata property name used in INFO chunks.

## riffInfoTapeName

const char* const juce::WavAudioFormat::riffInfoTapeName

static

Metadata property name used in INFO chunks.

## riffInfoTechnician

const char* const juce::WavAudioFormat::riffInfoTechnician

static

Metadata property name used in INFO chunks.

## riffInfoThirdLanguage

const char* const juce::WavAudioFormat::riffInfoThirdLanguage

static

Metadata property name used in INFO chunks.

## riffInfoTimeCode

const char* const juce::WavAudioFormat::riffInfoTimeCode

static

Metadata property name used in INFO chunks.

## riffInfoTitle

const char* const juce::WavAudioFormat::riffInfoTitle

static

Metadata property name used in INFO chunks.

## riffInfoTrackNo

const char* const juce::WavAudioFormat::riffInfoTrackNo

static

Metadata property name used in INFO chunks.

## riffInfoTrackNumber

const char* const juce::WavAudioFormat::riffInfoTrackNumber

static

Metadata property name used in INFO chunks.

## riffInfoURL

const char* const juce::WavAudioFormat::riffInfoURL

static

Metadata property name used in INFO chunks.

## riffInfoVegasVersionMajor

const char* const juce::WavAudioFormat::riffInfoVegasVersionMajor

static

Metadata property name used in INFO chunks.

## riffInfoVegasVersionMinor

const char* const juce::WavAudioFormat::riffInfoVegasVersionMinor

static

Metadata property name used in INFO chunks.

## riffInfoVersion

const char* const juce::WavAudioFormat::riffInfoVersion

static

Metadata property name used in INFO chunks.

## riffInfoWatermarkURL

const char* const juce::WavAudioFormat::riffInfoWatermarkURL

static

Metadata property name used in INFO chunks.

## riffInfoWrittenBy

const char* const juce::WavAudioFormat::riffInfoWrittenBy

static

Metadata property name used in INFO chunks.

## riffInfoYear

const char* const juce::WavAudioFormat::riffInfoYear

static

Metadata property name used in INFO chunks.

## aswgContentType

const char* const juce::WavAudioFormat::aswgContentType

static

Metadata property name used in ASWG/iXML chunks.

## aswgProject

const char* const juce::WavAudioFormat::aswgProject

static

Metadata property name used in ASWG/iXML chunks.

## aswgOriginator

const char* const juce::WavAudioFormat::aswgOriginator

static

Metadata property name used in ASWG/iXML chunks.

## aswgOriginatorStudio

const char* const juce::WavAudioFormat::aswgOriginatorStudio

static

Metadata property name used in ASWG/iXML chunks.

## aswgNotes

const char* const juce::WavAudioFormat::aswgNotes

static

Metadata property name used in ASWG/iXML chunks.

## aswgSession

const char* const juce::WavAudioFormat::aswgSession

static

Metadata property name used in ASWG/iXML chunks.

## aswgState

const char* const juce::WavAudioFormat::aswgState

static

Metadata property name used in ASWG/iXML chunks.

## aswgEditor

const char* const juce::WavAudioFormat::aswgEditor

static

Metadata property name used in ASWG/iXML chunks.

## aswgMixer

const char* const juce::WavAudioFormat::aswgMixer

static

Metadata property name used in ASWG/iXML chunks.

## aswgFxChainName

const char* const juce::WavAudioFormat::aswgFxChainName

static

Metadata property name used in ASWG/iXML chunks.

## aswgChannelConfig

const char* const juce::WavAudioFormat::aswgChannelConfig

static

Metadata property name used in ASWG/iXML chunks.

## aswgAmbisonicFormat

const char* const juce::WavAudioFormat::aswgAmbisonicFormat

static

Metadata property name used in ASWG/iXML chunks.

## aswgAmbisonicChnOrder

const char* const juce::WavAudioFormat::aswgAmbisonicChnOrder

static

Metadata property name used in ASWG/iXML chunks.

## aswgAmbisonicNorm

const char* const juce::WavAudioFormat::aswgAmbisonicNorm

static

Metadata property name used in ASWG/iXML chunks.

## aswgMicType

const char* const juce::WavAudioFormat::aswgMicType

static

Metadata property name used in ASWG/iXML chunks.

## aswgMicConfig

const char* const juce::WavAudioFormat::aswgMicConfig

static

Metadata property name used in ASWG/iXML chunks.

## aswgMicDistance

const char* const juce::WavAudioFormat::aswgMicDistance

static

Metadata property name used in ASWG/iXML chunks.

## aswgRecordingLoc

const char* const juce::WavAudioFormat::aswgRecordingLoc

static

Metadata property name used in ASWG/iXML chunks.

## aswgIsDesigned

const char* const juce::WavAudioFormat::aswgIsDesigned

static

Metadata property name used in ASWG/iXML chunks.

## aswgRecEngineer

const char* const juce::WavAudioFormat::aswgRecEngineer

static

Metadata property name used in ASWG/iXML chunks.

## aswgRecStudio

const char* const juce::WavAudioFormat::aswgRecStudio

static

Metadata property name used in ASWG/iXML chunks.

## aswgImpulseLocation

const char* const juce::WavAudioFormat::aswgImpulseLocation

static

Metadata property name used in ASWG/iXML chunks.

## aswgCategory

const char* const juce::WavAudioFormat::aswgCategory

static

Metadata property name used in ASWG/iXML chunks.

## aswgSubCategory

const char* const juce::WavAudioFormat::aswgSubCategory

static

Metadata property name used in ASWG/iXML chunks.

## aswgCatId

const char* const juce::WavAudioFormat::aswgCatId

static

Metadata property name used in ASWG/iXML chunks.

## aswgUserCategory

const char* const juce::WavAudioFormat::aswgUserCategory

static

Metadata property name used in ASWG/iXML chunks.

## aswgUserData

const char* const juce::WavAudioFormat::aswgUserData

static

Metadata property name used in ASWG/iXML chunks.

## aswgVendorCategory

const char* const juce::WavAudioFormat::aswgVendorCategory

static

Metadata property name used in ASWG/iXML chunks.

## aswgFxName

const char* const juce::WavAudioFormat::aswgFxName

static

Metadata property name used in ASWG/iXML chunks.

## aswgLibrary

const char* const juce::WavAudioFormat::aswgLibrary

static

Metadata property name used in ASWG/iXML chunks.

## aswgCreatorId

const char* const juce::WavAudioFormat::aswgCreatorId

static

Metadata property name used in ASWG/iXML chunks.

## aswgSourceId

const char* const juce::WavAudioFormat::aswgSourceId

static

Metadata property name used in ASWG/iXML chunks.

## aswgRmsPower

const char* const juce::WavAudioFormat::aswgRmsPower

static

Metadata property name used in ASWG/iXML chunks.

## aswgLoudness

const char* const juce::WavAudioFormat::aswgLoudness

static

Metadata property name used in ASWG/iXML chunks.

## aswgLoudnessRange

const char* const juce::WavAudioFormat::aswgLoudnessRange

static

Metadata property name used in ASWG/iXML chunks.

## aswgMaxPeak

const char* const juce::WavAudioFormat::aswgMaxPeak

static

Metadata property name used in ASWG/iXML chunks.

## aswgSpecDensity

const char* const juce::WavAudioFormat::aswgSpecDensity

static

Metadata property name used in ASWG/iXML chunks.

## aswgZeroCrossRate

const char* const juce::WavAudioFormat::aswgZeroCrossRate

static

Metadata property name used in ASWG/iXML chunks.

## aswgPapr

const char* const juce::WavAudioFormat::aswgPapr

static

Metadata property name used in ASWG/iXML chunks.

## aswgText

const char* const juce::WavAudioFormat::aswgText

static

Metadata property name used in ASWG/iXML chunks.

## aswgEfforts

const char* const juce::WavAudioFormat::aswgEfforts

static

Metadata property name used in ASWG/iXML chunks.

## aswgEffortType

const char* const juce::WavAudioFormat::aswgEffortType

static

Metadata property name used in ASWG/iXML chunks.

## aswgProjection

const char* const juce::WavAudioFormat::aswgProjection

static

Metadata property name used in ASWG/iXML chunks.

## aswgLanguage

const char* const juce::WavAudioFormat::aswgLanguage

static

Metadata property name used in ASWG/iXML chunks.

## aswgTimingRestriction

const char* const juce::WavAudioFormat::aswgTimingRestriction

static

Metadata property name used in ASWG/iXML chunks.

## aswgCharacterName

const char* const juce::WavAudioFormat::aswgCharacterName

static

Metadata property name used in ASWG/iXML chunks.

## aswgCharacterGender

const char* const juce::WavAudioFormat::aswgCharacterGender

static

Metadata property name used in ASWG/iXML chunks.

## aswgCharacterAge

const char* const juce::WavAudioFormat::aswgCharacterAge

static

Metadata property name used in ASWG/iXML chunks.

## aswgCharacterRole

const char* const juce::WavAudioFormat::aswgCharacterRole

static

Metadata property name used in ASWG/iXML chunks.

## aswgActorName

const char* const juce::WavAudioFormat::aswgActorName

static

Metadata property name used in ASWG/iXML chunks.

## aswgActorGender

const char* const juce::WavAudioFormat::aswgActorGender

static

Metadata property name used in ASWG/iXML chunks.

## aswgDirector

const char* const juce::WavAudioFormat::aswgDirector

static

Metadata property name used in ASWG/iXML chunks.

## aswgDirection

const char* const juce::WavAudioFormat::aswgDirection

static

Metadata property name used in ASWG/iXML chunks.

## aswgFxUsed

const char* const juce::WavAudioFormat::aswgFxUsed

static

Metadata property name used in ASWG/iXML chunks.

## aswgUsageRights

const char* const juce::WavAudioFormat::aswgUsageRights

static

Metadata property name used in ASWG/iXML chunks.

## aswgIsUnion

const char* const juce::WavAudioFormat::aswgIsUnion

static

Metadata property name used in ASWG/iXML chunks.

## aswgAccent

const char* const juce::WavAudioFormat::aswgAccent

static

Metadata property name used in ASWG/iXML chunks.

## aswgEmotion

const char* const juce::WavAudioFormat::aswgEmotion

static

Metadata property name used in ASWG/iXML chunks.

## aswgComposor

const char* const juce::WavAudioFormat::aswgComposor

static

Metadata property name used in ASWG/iXML chunks.

## aswgArtist

const char* const juce::WavAudioFormat::aswgArtist

static

Metadata property name used in ASWG/iXML chunks.

## aswgSongTitle

const char* const juce::WavAudioFormat::aswgSongTitle

static

Metadata property name used in ASWG/iXML chunks.

## aswgGenre

const char* const juce::WavAudioFormat::aswgGenre

static

Metadata property name used in ASWG/iXML chunks.

## aswgSubGenre

const char* const juce::WavAudioFormat::aswgSubGenre

static

Metadata property name used in ASWG/iXML chunks.

## aswgProducer

const char* const juce::WavAudioFormat::aswgProducer

static

Metadata property name used in ASWG/iXML chunks.

## aswgMusicSup

const char* const juce::WavAudioFormat::aswgMusicSup

static

Metadata property name used in ASWG/iXML chunks.

## aswgInstrument

const char* const juce::WavAudioFormat::aswgInstrument

static

Metadata property name used in ASWG/iXML chunks.

## aswgMusicPublisher

const char* const juce::WavAudioFormat::aswgMusicPublisher

static

Metadata property name used in ASWG/iXML chunks.

## aswgRightsOwner

const char* const juce::WavAudioFormat::aswgRightsOwner

static

Metadata property name used in ASWG/iXML chunks.

## aswgIsSource

const char* const juce::WavAudioFormat::aswgIsSource

static

Metadata property name used in ASWG/iXML chunks.

## aswgIsLoop

const char* const juce::WavAudioFormat::aswgIsLoop

static

Metadata property name used in ASWG/iXML chunks.

## aswgIntensity

const char* const juce::WavAudioFormat::aswgIntensity

static

Metadata property name used in ASWG/iXML chunks.

## aswgIsFinal

const char* const juce::WavAudioFormat::aswgIsFinal

static

Metadata property name used in ASWG/iXML chunks.

## aswgOrderRef

const char* const juce::WavAudioFormat::aswgOrderRef

static

Metadata property name used in ASWG/iXML chunks.

## aswgIsOst

const char* const juce::WavAudioFormat::aswgIsOst

static

Metadata property name used in ASWG/iXML chunks.

## aswgIsCinematic

const char* const juce::WavAudioFormat::aswgIsCinematic

static

Metadata property name used in ASWG/iXML chunks.

## aswgIsLicensed

const char* const juce::WavAudioFormat::aswgIsLicensed

static

Metadata property name used in ASWG/iXML chunks.

## aswgIsDiegetic

const char* const juce::WavAudioFormat::aswgIsDiegetic

static

Metadata property name used in ASWG/iXML chunks.

## aswgMusicVersion

const char* const juce::WavAudioFormat::aswgMusicVersion

static

Metadata property name used in ASWG/iXML chunks.

## aswgIsrcId

const char* const juce::WavAudioFormat::aswgIsrcId

static

Metadata property name used in ASWG/iXML chunks.

## aswgTempo

const char* const juce::WavAudioFormat::aswgTempo

static

Metadata property name used in ASWG/iXML chunks.

## aswgTimeSig

const char* const juce::WavAudioFormat::aswgTimeSig

static

Metadata property name used in ASWG/iXML chunks.

## aswgInKey

const char* const juce::WavAudioFormat::aswgInKey

static

Metadata property name used in ASWG/iXML chunks.

## aswgBillingCode

const char* const juce::WavAudioFormat::aswgBillingCode

static

Metadata property name used in ASWG/iXML chunks.

## aswgVersion

const char* const juce::WavAudioFormat::aswgVersion

static

Metadata property name used in ASWG/iXML chunks.

## ISRC

const char* const juce::WavAudioFormat::ISRC

static

Metadata property name used when reading an ISRC code from an AXML chunk.

## internationalStandardRecordingCode

const char* const juce::WavAudioFormat::internationalStandardRecordingCode

static

Metadata property name used when reading and writing ISRC codes to/from AXML chunks.

## tracktionLoopInfo

const char* const juce::WavAudioFormat::tracktionLoopInfo

static

Metadata property name used when reading a WAV file with a Tracktion chunk.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited